<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use App\Notifications\BatchCompletedNotification;
use Illuminate\Support\Facades\Notification;

class SendBatchCompletedNotification implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $user;
    protected $batch;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($user, $batch)
    {
        $this->user = $user;
        $this->batch = $batch;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        Notification::send($this->user, new BatchCompletedNotification($this->batch));
    }
}
