<?php

declare(strict_types=1);

namespace App\Livewire\Tickets;

use App\Models\Ticket;
use Livewire\Attributes\On;
use Livewire\Component;

final class Card extends Component
{
    public $label;

    public $color;

    public $count;

    #[On('sync-start')]
    public function render()
    {
        if ($this->color) {
            $this->count = Ticket::where('status', $this->color)->count();
        } else {
            $this->count = Ticket::query()->count();
        }

        return view('livewire.tickets.card');
    }
}
