<?php

declare(strict_types=1);

use App\Http\Controllers\DashboardController;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use Spatie\Health\Http\Controllers\HealthCheckResultsController;

Route::middleware('auth')->group(function () {
    Route::get('/', DashboardController::class)->name('dashboard');
    Route::prefix('profile')->name('profile.')->group(function () {
        Route::singleton('/', ProfileController::class)
            ->only(['edit', 'update', 'destroy'])->destroyable();
    });
});
Route::get('health', HealthCheckResultsController::class);

require __DIR__.'/auth.php';
